this package needs some attention

Asked by Delany on 2019-10-23

I use ccsm all the time, but seems it hasn't been updated since before April 2012. 7 years!
The package depends on python-gtk2-dev, which led to a dpkg problem.
https://askubuntu.com/questions/568798/importerror-no-module-named-pygtk

Please have a look at updating it to python3.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu compizconfig-settings-manager Edit question
Assignee:
No assignee Edit question
Solved by:
Delany
Solved:
2019-10-23
Last query:
2019-10-23
Last reply:
2019-10-23

What is the output of:

lsb_release -a; uname -a; apt-cache policy compizconfig-settings-manager

Thanks

Manfred Hampl (m-hampl) said : #2

There seems to be a misunderstanding.

Until Ubuntu precise (12.04), there was a separate source package "compizconfig-settings-manager", but for all newer Ubuntu releases, the binary package compizconfig-settings-manager has been built from the source package "compiz".

As far as I can see, there is no dependency on python-gtk2-dev in any of these current versions.

The versions in disco and newer do not depend on python2 any more, but already depend on python3.

Delany (delany-middleton) said : #3

Thanks